apiVersion: apps/v1
kind: Deployment
metadata:
  name: unbound-site
  labels:
    app: unbound-site
  annotations:
    kubernetes.io/change-cause: "${TIMESTAMP} Deployed commit id: ${COMMIT}"
spec:
  replicas: 2
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 1
  minReadySeconds: 30
  selector:
    matchLabels:
      app: unbound-site
  template:
    metadata:
      labels:
        app: unbound-site
    spec:
      affinity:
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
          - weight: 100
            podAffinityTerm:
              labelSelector:
                matchExpressions:
                - key: "app"
                  operator: In
                  values:
                  - unbound-site
              topologyKey: kubernetes.io/hostname
      containers:
      - name: unbound-site
        readinessProbe:
          httpGet:
            path: /health
            port: 80
          initialDelaySeconds: 5
          periodSeconds: 5
          timeoutSeconds: 5
        imagePullPolicy: Always
        image: registry.gitlab.com/unboundsoftware/unbound-site:${COMMIT}
        ports:
        - containerPort: 80
        resources:
          requests:
            cpu: 10m
            memory: 10Mi
          limits:
            cpu: 300m
            memory: 300Mi

---

apiVersion: v1
kind: Service
metadata:
  name: unbound-site
  labels:
    app: unbound-site
spec:
  type: NodePort
  selector:
    app: unbound-site
  ports:
  - port: 80
    targetPort: 80
